Subject: Benchmarks of new systems

From: "Mr. Berkley Shands" <[email-masked]>
Date: Wed, 8 Dec 1993 09:34:46 -0600

Once again I can provide benchmarks of new systems, with FULL compiler optimizations
in place. Actual configurations used are reported. I would suggest a minimum of 64 MB
on any DEC AXP system.
	If you want SYBYL on the DEC AXP series, better ask Tripos. Most other packages
run on the Alpha already.

	Berkley

Receptor-III (TM - Tripos Associates) Beta Release version V2.4 timings for the ACE
series. Uniform distance space scanning at 0.05A maximum increment with 
Adaptive Scanning in modified mode applied.  All bonds Adaptively scanned.
Minimum scan factor 0.45 degrees, maximum scan factor 2.81 degrees.

*******************************************************************************
Benchmarks of the complete ACE series of 71 molecules Modified scan factors
*******************************************************************************

Elapsed Child_CPU System_CPU  Chargable Forks  Ratio
======= ========= ==========  ========= =====  =====

    979   912.880     37.650    887.840     7  0.937 SGI Indigo 48Mb -O2 (R3K/33Mhz)
    926   855.010     55.830    829.661     7  0.929 SGI 4d/380s 128Mb -O2 (R3K/33Mhz)

    740   587.350      9.200    557.883     7  0.805 DEC 3K/300L AXP 32Mb STD "CC" -O2
    726   562.350     11.650    533.950     7  0.785 DEC 3K/300L AXP 32Mb GEM "CC" -O4
    661   558.133      5.083    541.450     7  0.852 E&S ESV M120 -O2 (R3K/45Mhz)

    783   472.460      8.340    461.310     7  0.606 SGI Indigo2 64Mb -O2 -mips2 (R4K/50Mhz)
    594   455.130      5.680    443.570     7  0.774 SGI Challenge M 96Mb -O2 (R4K/100Mhz)
    481   453.650      3.917    430.500     7  0.953 DEC 3K/300 AXP 32mb STD "CC" -O2

    411   381.400      4.100    363.817     7  0.939 DEC 3K/300 AXP 32mb GEM "CC" -O4
    527   364.010      4.910    352.730     7  0.700 SGI Challenge M 96Mb -O3 -mips2 (R4K/100Mhz)
    359   325.133      4.150    308.433     7  0.916 DEC 3K/300 AXP 32mb GEM "CC" -O4 -feedback

    239   212.367      1.503    200.117     7  0.904 DEC 3K/600 AXP 128mb GEM "CC" -O4 -feedback
    201   187.817      1.333    177.183     7  0.949 DEC 3K/800 AXP 256mb GEM "CC" -O4 -feedback

*******************************************************************************

Notes:

DEC AXP 3000/300L is 100 Mhz, 3K/300 is 150 Mhz, 3K/600 is 175 Mhz, 3K/800 is 200 Mhz
Many thanks to DEC for providing the 3K/600 and 3K/800 Machines.

The "GEM" compiler is in save set CMPDEVENH on the OSF/1 CD.
The "STD" compiler is the default "CC" for OSF/1.
KAP-C was not used; generated code hits a compiler bug in one routine :-(

"Child_CPU"  is the recorded total CPU for all forked processes, including
	     overhead and I/O.
"Elapsed"    is the recorded elapsed time from command line parsing to
	     the exit of the last child processes.
"System_CPU" is the recorded UNIX system overhead from the times() function
"Chargable"  is the algorithmic chargable time from initial rotations
	     to termination (child process CPU)

*****************************************************************************